# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.
---
win64-ffmpeg-4.4.1:
    description: 'Win64 ffmpeg'
    fetch:
        type: static-url
        # url: https://github.com/GyanD/codexffmpeg/releases/tag/4.4.1
        url: https://github.com/mozilla/perf-automation/releases/download/FFMPEG-v4.4.1/ffmpeg-4.4.1-full_build.zip
        sha256: f0f407041f82905c310b79f4f76973815700d1e438a10c3cbce66a345ff4f457
        size: 134760541

linux64-ffmpeg-4.4.1:
    description: 'Linux64 ffmpeg'
    fetch:
        type: static-url
        # url: https://www.johnvansickle.com/ffmpeg/old-releases/
        url: https://github.com/mozilla/perf-automation/releases/download/FFMPEG-v4.4.1/ffmpeg-4.4.1-i686-static.tar.xz
        sha256: 1f38d1c99b6eb3d36f709a481f5a5526448567a800ee9cddcfe4be54f8b68e62
        size: 17592088

mac64-ffmpeg-4.4.1:
    description: 'Mac64 ffmpeg'
    fetch:
        type: static-url
        # url: https://evermeet.cx/pub/ffmpeg/
        url: https://github.com/mozilla/perf-automation/releases/download/FFMPEG-v4.4.1/ffmpeg-macos.zip
        sha256: 9d07411bce176f56314cc5624f5df51f9cffa76a59e3e81abe2175d4ebaf87ae
        size: 49100208

linux64-chromedriver:
    description: 'Linux64 chromedriver'
    fetch:
        type: static-url
        url: https://chromedriver.storage.googleapis.com/2.46/chromedriver_linux64.zip
        sha256: 461919e080e19335a34224e2d353b96b07c7d068621aa940f9c136e86d090047
        size: 5404417

win64-chromedriver-130:
    description: "Win64 chromedriver v130"
    fetch:
        type: static-url
        artifact-name: chromedriver_win64_130.tar.zst
        add-prefix: "130"
        url: https://storage.googleapis.com/chrome-for-testing-public/130.0.6723.44/win64/chromedriver-win64.zip
        sha256: dc9de0c4e169dcbf729a5f29d67c323d56d5c6f1a1047eb94d8dabca0e183da1
        size: 8935429


linux64-chromedriver-130:
    description: "Linux64 chromedriver v130"
    fetch:
        type: static-url
        artifact-name: chromedriver_linux64_130.tar.zst
        add-prefix: "130"
        url: https://storage.googleapis.com/chrome-for-testing-public/130.0.6723.44/linux64/chromedriver-linux64.zip
        sha256: 0cf9c59f8b18076d1e9b8ef2f773d200d9dd90ff072f3e3a3c109f5164ebec4e
        size: 9326314


mac64-chromedriver-130:
    description: "Mac64 chromedriver v130"
    fetch:
        type: static-url
        artifact-name: chromedriver_mac64_130.tar.zst
        add-prefix: "130"
        url: https://storage.googleapis.com/chrome-for-testing-public/130.0.6723.44/mac-x64/chromedriver-mac-x64.zip
        sha256: 83920ba17cae95673c48f2d06c3b3cf28e04abed2730b59bbb66589f6a70bfd2
        size: 10446331


mac-arm-chromedriver-130:
    description: "Mac-arm chromedriver v130"
    fetch:
        type: static-url
        artifact-name: chromedriver_mac-arm_130.tar.zst
        add-prefix: "130"
        url: https://storage.googleapis.com/chrome-for-testing-public/130.0.6723.44/mac-arm64/chromedriver-mac-arm64.zip
        sha256: 72ca2d545ed9e4f2c64348715dd91aab3f44622f94fa678c33c9fa9b5cbaa175
        size: 9565155

win64-chromedriver-131:
    description: "Win64 chromedriver v131"
    fetch:
        type: static-url
        artifact-name: chromedriver_win64_131.tar.zst
        add-prefix: "131"
        url: https://storage.googleapis.com/chrome-for-testing-public/131.0.6778.69/win64/chromedriver-win64.zip
        sha256: b3709a5717e960a7f763d30be166a0f8b3734677aadc0a356c5bed3169c3c103
        size: 8951667


linux64-chromedriver-131:
    description: "Linux64 chromedriver v131"
    fetch:
        type: static-url
        artifact-name: chromedriver_linux64_131.tar.zst
        add-prefix: "131"
        url: https://storage.googleapis.com/chrome-for-testing-public/131.0.6778.69/linux64/chromedriver-linux64.zip
        sha256: afc7b41aa0e1606e8cc177c776287d836635690964e39eab1ed94d63a0c96be2
        size: 9945918


mac64-chromedriver-131:
    description: "Mac64 chromedriver v131"
    fetch:
        type: static-url
        artifact-name: chromedriver_mac64_131.tar.zst
        add-prefix: "131"
        url: https://storage.googleapis.com/chrome-for-testing-public/131.0.6778.69/mac-x64/chromedriver-mac-x64.zip
        sha256: 92583e52f601951d3e0849891239bb2f6ff00dd8f8fd6c908473cc21c0533dd2
        size: 10460902


mac-arm-chromedriver-131:
    description: "Mac-arm chromedriver v131"
    fetch:
        type: static-url
        artifact-name: chromedriver_mac-arm_131.tar.zst
        add-prefix: "131"
        url: https://storage.googleapis.com/chrome-for-testing-public/131.0.6778.69/mac-arm64/chromedriver-mac-arm64.zip
        sha256: 05bb13e90bb2803fd26a8ccaf752715cd0c6a0521235da952e1cb2c733689e73
        size: 9575007

upload-speed-test-file:
    description: "File used for the upload speed performance test"
    fetch:
        type: static-url
        artifact-name: upload-test-32MB.dat
        url: https://github.com/mozilla/perf-automation/raw/master/test_files/upload-test-32MB.dat
        sha256: 72caa47a951e9f37d1e1be2119a64b1fbc6348c4f37d574bee4587e02b8f96a5
        size: 32000000

firefox-addons:
    description: "Download a tar archive of real Firefox extensions xpi files available on AMO (used to run perftests with real extensions installed)"
    fetch:
        type: static-url
        artifact-name: firefox-addons.tar.zst
        add-prefix: firefox-addons/
        url: https://github.com/mozilla/perf-automation/raw/c9e497eaa86f45538e3509120947215c6f97c95b/test_files/firefox-addons.tar
        sha256: 20372ff1d58fc33d1568f8922fe66e2e2e01c77663820344d2a364a8ddd68281
        size: 3584000
